﻿body {
    font-family: Arial, sans-serif;
    line-height: 1.5;
    display: flex;
    flex-direction: column;
    min-height: 5vh;
}

header {
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 1rem;
}

main {
    top: 0rem;
    padding: inherit;
    flex-grow: 1;
    position: inherit;
    width: 95%;
    vertical-align: bottom;
    margin-right: auto;
    margin-left: auto;
}



table {
    display: inherit;
    justify-content: center;
    align-items: center;
    height: 79vh;
    margin-top: 0rem;
    width: 100%;
    margin-right: 3px;
    margin-left: 3px;
    /* background: darkgray; */
}

textarea {
    font-family: Arial, sans-serif;
}

button {
    padding: 0.5rem 1rem;
    background-color: #333;
    color: #fff;
    border: none;
    cursor: pointer;
    border-radius: 7px;
    width: fit-content;
    word-wrap: anywhere;
    white-space: break-spaces;
}

.tr_table {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 14px;
}

.td {
    padding: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
}

.td_output {
    padding: 6px;
    display: flow;
    position: inherit;
    /*height: 50vh;*/
    max-height: 60vh;
    min-height: 5vh;
    overflow: auto;
    /* justify-content: center; */
    /* align-items: center; */
    width: 80%;
}

.td_output_message {
    margin: 7px;
    border-radius: 10px;
    padding: 5px;
    text-wrap: warp;
    white-space: pre-wrap;
}

    .td_output_message:hover {
        background-color: azure;
        font-family: Tahoma;
        font-style: italic;
        cursor: pointer;
    }

footer {
    /* background-color: #333; */
    color: #fff;
    text-align: center;
    /* padding: 1rem; */
    flex-shrink: 0;
    width: 100%;
}

.bottom-section {
    background-color: #91c1b6;
    padding: 0rem;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 0rem;
    height: 75px;
    border-radius: 16px;
}


.input_textBox {
    max-height: 150px px;
    padding: 0.5rem;
    margin-left: 14px;
    margin-right: 1px;
    width: 80%;
    border-radius: 10px;
    resize: none;
    overflow:auto;
}

.tr_Title {
    padding-top: 0px;
    margin-top: 0px;
}

.timer {
    font-size: unset;
    position: absolute;
    margin-left: 35%;
    padding: 1px;
    margin-top: 4rem;
    margin-left: 0px;
    color: yellowgreen;
}

.TitleName {
    position: sticky;
    left: 150px;
    margin-top: 0px;
    width: 98rem;
    margin-left: 0.5rem;
    text-wrap: nowrap;
    cursor: pointer;
}

    .TitleName:hover {
        /* background-color:darkgreen;*/
        color: darkkhaki;
    }
